/*
frslst.c Version 0.1.0 - Print Fischer Random Shuffle Game
Copyright (C) 2004  dondalah@ripco.com (Dondalah)

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
*/

#include <frshuf.h>

int main(void)
   {
   char *p,*q;
   FRFMT *frshuf;
   /* Create the game list.     */
   frshuf = (FRFMT *) shuffle();
   if (frshuf == NULL)
      {
      fprintf(stderr,"frslst: out of memory "
         "allocating frshuf\n");
      exit(1);
      } /* out of mem */
   /* Print out the game list.  */
   p = (char *) frshuf->game;
   q = (char *) p + (COMBOS * WDTH);
   while (p < q)
      {
      printf("%s\n", p);
      p += WDTH;
      } /* for each game */
   free(frshuf);
   return(0);
   } /* main */
